# Uses of Class
org.apache.sling.graphql.api.pagination.Cursor

Packages that use Cursor
Package
Description
org.apache.sling.graphql.api.pagination
This package contains APIs which are independent of a specific implementation of the underlying graphQL engine.
org.apache.sling.graphql.helpers
This package contains APIs which are independent of a specific implementation of the underlying graphQL engine.

## Uses of Cursor in org.apache.sling.graphql.api.pagination

Methods in org.apache.sling.graphql.api.pagination that return Cursor
Modifier and Type
Method
Description
`static @Nullable Cursor`
Cursor.`fromEncodedString(@Nullable String encoded)`
Generates a new cursor based on an `encoded` value obtained via the same encoding mechanism `this` class uses.
`@NotNull Cursor`
Edge.`getCursor()`
`@NotNull Cursor`
PageInfo.`getEndCursor()`
`@NotNull Cursor`
PageInfo.`getStartCursor()`

## Uses of Cursor in org.apache.sling.graphql.helpers

Methods in org.apache.sling.graphql.helpers that return Cursor
Modifier and Type
Method
Description
`@NotNull Cursor`
GenericConnection.`getEndCursor()`
`@NotNull Cursor`
GenericConnection.`getStartCursor()`
Methods in org.apache.sling.graphql.helpers with parameters of type Cursor
Modifier and Type
Method
Description
`GenericConnection.Builder<T>`
GenericConnection.Builder.`withStartAfter(@Nullable Cursor c)`
If set, the connection will skip to the first item after the `c` `Cursor`.